/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.pref.exception;

import org.ow2.petals.cli.api.pref.PreferenceFileException;

/**
 * A property name is incorrect in the preference file.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class IncorrectPropertyNameException extends PreferenceFileException {
    
    private static final long serialVersionUID = 7051122269329961761L;

    public static final String MESSAGE_PATTERN = "The property name '%s' is incorrect.";

    /**
     * The incorrect property name
     */
    private final String incorrectPropertyName;
    
    public IncorrectPropertyNameException(final String incorrectPropertyName) {
        super(String.format(MESSAGE_PATTERN, incorrectPropertyName));
        this.incorrectPropertyName = incorrectPropertyName;
    }

    /**
     * @return The incorrect property name
     */
    public String getIncorrectPropertyName() {
        return this.incorrectPropertyName;
    }

}
